package top.dreamcenter.go.client;

import top.dreamcenter.go.msg.Cross;

public class DataUtil {

    public static String parseData(Cross[][] map){
        StringBuilder sb = new StringBuilder();
        for (int i = 0; i < map.length; i++) {
            for (int j = 0; j < map.length; j++) {
                sb.append(i).append(j);
                if (map[i][j] == Cross.NONE) {
                    sb.append(0);
                } else if (map[i][j] == Cross.BLACK) {
                    sb.append(1);
                } else {
                    sb.append(2);
                }
            }
        }
        return sb.toString();
    }

    public static Cross[][] rawData(String data){
        Cross[][] cross = new Cross[9][9];
        Cross[] colors = new Cross[]{Cross.NONE, Cross.BLACK, Cross.WHITE};
        for (int i = 0; i < data.length(); ) {
            int row = data.charAt(i) - '0';
            int col = data.charAt(i + 1) - '0';
            Cross color = colors[data.charAt(i + 2) - '0'];
            cross[row][col] = color;
            i += 3;
        }

        return cross;
    }
}
